#include <bits/stdc++.h>

using namespace std;

int main()
{
    string a,b,c;
    cin >> a >> b >> c;
    string q=a+b+c;
    string w=a+c+b;
    string e=b+a+c;
    string r=b+c+a;
    string t=c+a+b;
    string y=c+b+a;
    if (q>=w && q>=e && q>=r && q>=t && q>=y){
        cout << q;
        return 0;
    }
    if (w>=q && w>=e && w>=r && w>=t && w>=y){
        cout << w;
        return 0;
    }
    if (e>=q && e>=w && e>=r && e>=t && e>=y){
        cout << e;
        return 0;
    }
    if (r>=q && r>=w && r>=e && r>=t && r>=y){
        cout << r;
        return 0;
    }
    if (t>=q && t>=w && t>=e && t>=r && t>=y){
        cout << t;
        return 0;
    }
    if (y>=q && y>=w && y>=e && y>=r && y>=t){
        cout << y;
        return 0;
    }
}